using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public interface IFWApps
    {
        void AppInicialize(string wayToApp, int timing = 0);
        void AttachNewWindow(string newApp, int timing = 0);
        void AttachNewWindow(string newApp, string processWindowName, int timing = 0);
        void AttachNewWindow(int timing = 0);
        void FindNewWindow(int timing = 0);
        void AppClose(int timing = 0);
        void AppKill();
        void SetForeground();
    }
}
